FEM Analysis: Difference between revisions

From FreeCAD Documentation
No edit summary
m (docnav)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
{{docnav||[[FEM_MaterialSolid|Material for solid]]|[[FEM_Module|FEM_Module]]}}

<!--T:1-->
<!--T:1-->
{{GuiCommand|Name=FEM Analysis|MenuLocation=Model → Analysis container‏‎||Workbenches=[[FEM Module|FEM]]|Shortcut=N,A|SeeAlso=[[FEM_tutorial|FEM tutorial]]}}
{{GuiCommand|Name=FEM Analysis|MenuLocation=Model → Analysis container‏‎||Workbenches=[[FEM Module|FEM]]|Shortcut=N,A|SeeAlso=[[FEM_tutorial|FEM tutorial]]}}
Line 61: Line 63:
App.ActiveDocument.MechanicalAnalysis.Member = member
App.ActiveDocument.MechanicalAnalysis.Member = member
}}
}}
<translate>



<translate>
<!--T:40-->
<!--T:40-->
Examples:
Examples:
Line 80: Line 81:
App.ActiveDocument.MechanicalAnalysis.Member = member
App.ActiveDocument.MechanicalAnalysis.Member = member
}}
}}



{{clear}}
{{clear}}
<translate>
{{docnav||[[FEM_MaterialSolid|Material for solid]]|[[FEM_Module|FEM_Module]]}}
{{FEM Tools navi}}
{{Userdocnavi}}
</translate>

Revision as of 18:32, 7 February 2019

FEM Analysis

Menu location
Model → Analysis container‏‎
Workbenches
FEM
Default shortcut
N,A
Introduced in version
-
See also
FEM tutorial

Description

The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have a analysis container which holds all the needed objects. At least one of the following objects is needed for a mechanical analysis:


How to use

  1. Press the Analysis container button, or press N then A keys. A new Analysis is created and set to active.
  2. Other objects could be added or removed to the analysis container by drag and drop.
  3. To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.


Options

  • Up to date there is no option to choose.
  • A frequency analysis in in development. See [1] for more informations.


Properties

  • DataOutpuDir: Specifies the working directory of the analysis


Scripting

most code here is depreciated in 0.17.

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • add object to the analysis
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • remove object from the analysis
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member

Examples:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member